Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » ANN: Buckminster for Kepler
ANN: Buckminster for Kepler [message #1020189] Sun, 17 March 2013 13:37 Go to next message
Thomas Hallgren is currently offline Thomas HallgrenFriend
Messages: 3232
Registered: July 2009
Senior Member
I created the Kepler update sites for Buckminster today. They are for
early adopters and should not be considered stable yet (since Kepler
isn't stable yet). But for those who feel adventurous and really want to
work from Kepler (I do), please use the following update sites:

http://download.eclipse.org/tools/buckminster/updates-4.3
http://download.eclipse.org/tools/buckminster/headless-4.3
http://download.cloudsmith.com/buckminster/external-4.3

We are currently using Eclipse 4.3M6 as the target platform.

- thomas
Re: ANN: Buckminster for Kepler [message #1027344 is a reply to message #1020189] Tue, 26 March 2013 21:56 Go to previous messageGo to next message
Lorenzo Bettini is currently offline Lorenzo BettiniFriend
Messages: 1418
Registered: July 2009
Senior Member
On 03/17/2013 02:37 PM, Thomas Hallgren wrote:
> I created the Kepler update sites for Buckminster today. They are for
> early adopters and should not be considered stable yet (since Kepler
> isn't stable yet). But for those who feel adventurous and really want to
> work from Kepler (I do), please use the following update sites:
>
> http://download.eclipse.org/tools/buckminster/updates-4.3
> http://download.eclipse.org/tools/buckminster/headless-4.3
> http://download.cloudsmith.com/buckminster/external-4.3
>
> We are currently using Eclipse 4.3M6 as the target platform.
>
> - thomas

Hi Thomas

I was updating the buckminster jenkins plugin to offer the installation
of 4.3 version as well, but this command line fails:

director -d /tools/Buckminster/Buckminster_4.3/buckminster -p
Buckminster -r
"http://download.eclipse.org/tools/buckminster/headless-4.3,
http://download.cloudsmith.com/buckminster/external-4.3" -installIU
"org.eclipse.buckminster.emma.headless.feature.feature.group,
org.eclipse.buckminster.pde.headless.feature.feature.group,
org.eclipse.buckminster.subclipse.headless.feature.feature.group,
org.eclipse.buckminster.maven.headless.feature.feature.group,
org.eclipse.buckminster.cmdline.product,
org.eclipse.buckminster.core.headless.feature.feature.group,
org.eclipse.buckminster.git.headless.feature.feature.group,
org.eclipse.buckminster.cvs.headless.feature.feature.group"

Installing org.eclipse.buckminster.emma.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.pde.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing
org.eclipse.buckminster.subclipse.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.maven.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.cmdline.product 1.5.0.qualifier.
Installing org.eclipse.buckminster.core.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.git.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.cvs.headless.feature.feature.group
1.6.0.v20130317-0829.
Installation failed.
Cannot complete the install because one or more required items could not
be found.
Software being installed: Buckminster 1.5.0.qualifier
(org.eclipse.buckminster.cmdline.product 1.5.0.qualifier)
Missing requirement: Buckminster 1.5.0.qualifier
(org.eclipse.buckminster.cmdline.product 1.5.0.qualifier) requires
'org.eclipse.buckminster.product.feature.group [1.5.0.qualifier]' but it
could not be found

--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Re: ANN: Buckminster for Kepler [message #1029100 is a reply to message #1027344] Fri, 29 March 2013 06:14 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas HallgrenFriend
Messages: 3232
Registered: July 2009
Senior Member
This problem should now be fixed.

- thomas


On 2013-03-26 22:56, Lorenzo Bettini wrote:
> On 03/17/2013 02:37 PM, Thomas Hallgren wrote:
>> I created the Kepler update sites for Buckminster today. They are for
>> early adopters and should not be considered stable yet (since Kepler
>> isn't stable yet). But for those who feel adventurous and really want to
>> work from Kepler (I do), please use the following update sites:
>>
>> http://download.eclipse.org/tools/buckminster/updates-4.3
>> http://download.eclipse.org/tools/buckminster/headless-4.3
>> http://download.cloudsmith.com/buckminster/external-4.3
>>
>> We are currently using Eclipse 4.3M6 as the target platform.
>>
>> - thomas
>
> Hi Thomas
>
> I was updating the buckminster jenkins plugin to offer the installation
> of 4.3 version as well, but this command line fails:
>
> director -d /tools/Buckminster/Buckminster_4.3/buckminster -p
> Buckminster -r
> "http://download.eclipse.org/tools/buckminster/headless-4.3,
> http://download.cloudsmith.com/buckminster/external-4.3" -installIU
> "org.eclipse.buckminster.emma.headless.feature.feature.group,
> org.eclipse.buckminster.pde.headless.feature.feature.group,
> org.eclipse.buckminster.subclipse.headless.feature.feature.group,
> org.eclipse.buckminster.maven.headless.feature.feature.group,
> org.eclipse.buckminster.cmdline.product,
> org.eclipse.buckminster.core.headless.feature.feature.group,
> org.eclipse.buckminster.git.headless.feature.feature.group,
> org.eclipse.buckminster.cvs.headless.feature.feature.group"
>
> Installing org.eclipse.buckminster.emma.headless.feature.feature.group
> 1.6.0.v20130317-0829.
> Installing org.eclipse.buckminster.pde.headless.feature.feature.group
> 1.6.0.v20130317-0829.
> Installing
> org.eclipse.buckminster.subclipse.headless.feature.feature.group
> 1.6.0.v20130317-0829.
> Installing org.eclipse.buckminster.maven.headless.feature.feature.group
> 1.6.0.v20130317-0829.
> Installing org.eclipse.buckminster.cmdline.product 1.5.0.qualifier.
> Installing org.eclipse.buckminster.core.headless.feature.feature.group
> 1.6.0.v20130317-0829.
> Installing org.eclipse.buckminster.git.headless.feature.feature.group
> 1.6.0.v20130317-0829.
> Installing org.eclipse.buckminster.cvs.headless.feature.feature.group
> 1.6.0.v20130317-0829.
> Installation failed.
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: Buckminster 1.5.0.qualifier
> (org.eclipse.buckminster.cmdline.product 1.5.0.qualifier)
> Missing requirement: Buckminster 1.5.0.qualifier
> (org.eclipse.buckminster.cmdline.product 1.5.0.qualifier) requires
> 'org.eclipse.buckminster.product.feature.group [1.5.0.qualifier]' but it
> could not be found
>
Re: ANN: Buckminster for Kepler [message #1029158 is a reply to message #1029100] Fri, 29 March 2013 08:30 Go to previous messageGo to next message
Lorenzo Bettini is currently offline Lorenzo BettiniFriend
Messages: 1418
Registered: July 2009
Senior Member
I'm afraid Thomas, I still get errors (different this time):

Installing org.eclipse.buckminster.emma.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.pde.headless.feature.feature.group
1.6.0.v20130317-1221.
Installing
org.eclipse.buckminster.subclipse.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.maven.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.cmdline.product 1.6.0.v20130328-1410.
Installing org.eclipse.buckminster.core.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.git.headless.feature.feature.group
1.6.0.v20130317-0829.
Installing org.eclipse.buckminster.cvs.headless.feature.feature.group
1.6.0.v20130317-0829.
Installation failed.
Cannot complete the install because one or more required items could not
be found.
Software being installed: Buckminster - Core Headless
1.6.0.v20130317-0829
(org.eclipse.buckminster.core.headless.feature.feature.group
1.6.0.v20130317-0829)
Missing requirement: Team Support Core 3.7.0.v20130225-1712
(org.eclipse.team.core 3.7.0.v20130225-1712) requires 'bundle
org.eclipse.compare.core [3.5.200,4.0.0)' but it could not be found
Cannot satisfy dependency:
From: Buckminster - Core Headless 1.6.0.v20130317-0829
(org.eclipse.buckminster.core.headless.feature.feature.group
1.6.0.v20130317-0829)
To: org.eclipse.team.core 0.0.0

On 03/29/2013 07:14 AM, Thomas Hallgren wrote:
> This problem should now be fixed.
>
> - thomas
>
>
> On 2013-03-26 22:56, Lorenzo Bettini wrote:
>> On 03/17/2013 02:37 PM, Thomas Hallgren wrote:
>>> I created the Kepler update sites for Buckminster today. They are for
>>> early adopters and should not be considered stable yet (since Kepler
>>> isn't stable yet). But for those who feel adventurous and really want to
>>> work from Kepler (I do), please use the following update sites:
>>>
>>> http://download.eclipse.org/tools/buckminster/updates-4.3
>>> http://download.eclipse.org/tools/buckminster/headless-4.3
>>> http://download.cloudsmith.com/buckminster/external-4.3
>>>
>>> We are currently using Eclipse 4.3M6 as the target platform.
>>>
>>> - thomas
>>
>> Hi Thomas
>>
>> I was updating the buckminster jenkins plugin to offer the installation
>> of 4.3 version as well, but this command line fails:
>>
>> director -d /tools/Buckminster/Buckminster_4.3/buckminster -p
>> Buckminster -r
>> "http://download.eclipse.org/tools/buckminster/headless-4.3,
>> http://download.cloudsmith.com/buckminster/external-4.3" -installIU
>> "org.eclipse.buckminster.emma.headless.feature.feature.group,
>> org.eclipse.buckminster.pde.headless.feature.feature.group,
>> org.eclipse.buckminster.subclipse.headless.feature.feature.group,
>> org.eclipse.buckminster.maven.headless.feature.feature.group,
>> org.eclipse.buckminster.cmdline.product,
>> org.eclipse.buckminster.core.headless.feature.feature.group,
>> org.eclipse.buckminster.git.headless.feature.feature.group,
>> org.eclipse.buckminster.cvs.headless.feature.feature.group"
>>
>> Installing org.eclipse.buckminster.emma.headless.feature.feature.group
>> 1.6.0.v20130317-0829.
>> Installing org.eclipse.buckminster.pde.headless.feature.feature.group
>> 1.6.0.v20130317-0829.
>> Installing
>> org.eclipse.buckminster.subclipse.headless.feature.feature.group
>> 1.6.0.v20130317-0829.
>> Installing org.eclipse.buckminster.maven.headless.feature.feature.group
>> 1.6.0.v20130317-0829.
>> Installing org.eclipse.buckminster.cmdline.product 1.5.0.qualifier.
>> Installing org.eclipse.buckminster.core.headless.feature.feature.group
>> 1.6.0.v20130317-0829.
>> Installing org.eclipse.buckminster.git.headless.feature.feature.group
>> 1.6.0.v20130317-0829.
>> Installing org.eclipse.buckminster.cvs.headless.feature.feature.group
>> 1.6.0.v20130317-0829.
>> Installation failed.
>> Cannot complete the install because one or more required items could not
>> be found.
>> Software being installed: Buckminster 1.5.0.qualifier
>> (org.eclipse.buckminster.cmdline.product 1.5.0.qualifier)
>> Missing requirement: Buckminster 1.5.0.qualifier
>> (org.eclipse.buckminster.cmdline.product 1.5.0.qualifier) requires
>> 'org.eclipse.buckminster.product.feature.group [1.5.0.qualifier]' but it
>> could not be found
>>
>


--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Re: ANN: Buckminster for Kepler [message #1029167 is a reply to message #1029158] Fri, 29 March 2013 08:43 Go to previous messageGo to next message
Lorenzo Bettini is currently offline Lorenzo BettiniFriend
Messages: 1418
Registered: July 2009
Senior Member
by the way, the new error

Cannot complete the install because one or more required items could not
be found.
Software being installed: Buckminster - Core Headless
1.6.0.v20130317-0829
(org.eclipse.buckminster.core.headless.feature.feature.group
1.6.0.v20130317-0829)
Missing requirement: Team Support Core 3.7.0.v20130225-1712
(org.eclipse.team.core 3.7.0.v20130225-1712) requires 'bundle
org.eclipse.compare.core [3.5.200,4.0.0)' but it could not be found
Cannot satisfy dependency:
From: Buckminster - Core Headless 1.6.0.v20130317-0829
(org.eclipse.buckminster.core.headless.feature.feature.group
1.6.0.v20130317-0829)
To: org.eclipse.team.core 0.0.0

goes away if I add http://download.eclipse.org/releases/kepler to the
list of repositories but I think the aim of the headless repository is
to be self-contained right?

cheers
Lorenzo
Re: ANN: Buckminster for Kepler [message #1029279 is a reply to message #1029167] Fri, 29 March 2013 12:26 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas HallgrenFriend
Messages: 3232
Registered: July 2009
Senior Member
Hi Lorenzo,

Thanks for reporting so quickly. I've added the missing dependency to
our headless site. You should be able to install now.

- thomas

On 2013-03-29 09:43, Lorenzo Bettini wrote:
> by the way, the new error
>
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: Buckminster - Core Headless
> 1.6.0.v20130317-0829
> (org.eclipse.buckminster.core.headless.feature.feature.group
> 1.6.0.v20130317-0829)
> Missing requirement: Team Support Core 3.7.0.v20130225-1712
> (org.eclipse.team.core 3.7.0.v20130225-1712) requires 'bundle
> org.eclipse.compare.core [3.5.200,4.0.0)' but it could not be found
> Cannot satisfy dependency:
> From: Buckminster - Core Headless 1.6.0.v20130317-0829
> (org.eclipse.buckminster.core.headless.feature.feature.group
> 1.6.0.v20130317-0829)
> To: org.eclipse.team.core 0.0.0
>
> goes away if I add http://download.eclipse.org/releases/kepler to the
> list of repositories but I think the aim of the headless repository is
> to be self-contained right?
>
> cheers
> Lorenzo
>
Re: ANN: Buckminster for Kepler [message #1029300 is a reply to message #1029279] Fri, 29 March 2013 13:06 Go to previous messageGo to next message
Lorenzo Bettini is currently offline Lorenzo BettiniFriend
Messages: 1418
Registered: July 2009
Senior Member
Thank you for fixing it so quickly :)

4.3 should be installable in the jenkins plugin as soon as Jenkins main
crawlers run again (probably tonight).

cheers
Lorenzo

On 03/29/2013 01:26 PM, Thomas Hallgren wrote:
> Hi Lorenzo,
>
> Thanks for reporting so quickly. I've added the missing dependency to
> our headless site. You should be able to install now.
>
> - thomas
>
> On 2013-03-29 09:43, Lorenzo Bettini wrote:
>> by the way, the new error
>>
>> Cannot complete the install because one or more required items could not
>> be found.
>> Software being installed: Buckminster - Core Headless
>> 1.6.0.v20130317-0829
>> (org.eclipse.buckminster.core.headless.feature.feature.group
>> 1.6.0.v20130317-0829)
>> Missing requirement: Team Support Core 3.7.0.v20130225-1712
>> (org.eclipse.team.core 3.7.0.v20130225-1712) requires 'bundle
>> org.eclipse.compare.core [3.5.200,4.0.0)' but it could not be found
>> Cannot satisfy dependency:
>> From: Buckminster - Core Headless 1.6.0.v20130317-0829
>> (org.eclipse.buckminster.core.headless.feature.feature.group
>> 1.6.0.v20130317-0829)
>> To: org.eclipse.team.core 0.0.0
>>
>> goes away if I add http://download.eclipse.org/releases/kepler to the
>> list of repositories but I think the aim of the headless repository is
>> to be self-contained right?
>>
>> cheers
>> Lorenzo
>>
>


--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Re: ANN: Buckminster for Kepler [message #1065773 is a reply to message #1029300] Thu, 27 June 2013 12:51 Go to previous messageGo to next message
Matthew Webber is currently offline Matthew WebberFriend
Messages: 198
Registered: December 2010
Senior Member
Now that Eclipse Kepler (4.3) has been released, are the above URLs the official Buckminster release for 4.3?
Thanks
Re: ANN: Buckminster for Kepler [message #1065840 is a reply to message #1020189] Thu, 27 June 2013 17:53 Go to previous message
Thomas Hallgren is currently offline Thomas HallgrenFriend
Messages: 3232
Registered: July 2009
Senior Member
The URLs listed below now reflect our release based on the formal Kepler 4.3 release.

- thomas

On 2013-03-17 14:37, Thomas Hallgren wrote:
> I created the Kepler update sites for Buckminster today. They are for early adopters and should not be considered stable
> yet (since Kepler isn't stable yet). But for those who feel adventurous and really want to work from Kepler (I do),
> please use the following update sites:
>
> http://download.eclipse.org/tools/buckminster/updates-4.3
> http://download.eclipse.org/tools/buckminster/headless-4.3
> http://download.cloudsmith.com/buckminster/external-4.3
>
> We are currently using Eclipse 4.3M6 as the target platform.
>
> - thomas
Previous Topic:Buckminster does not resolve fragment host plugin
Next Topic:How to run a MWE2 workflow with buckminster
Goto Forum:
  


Current Time: Sat Dec 20 08:57:38 GMT 2014

Powered by FUDForum. Page generated in 0.01776 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software